ForwardUrlMappingInfo (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mapping
[Groovy] Class ForwardUrlMappingInfo

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.AbstractUrlMappingInfo
          org.codehaus.groovy.grails.web.mapping.ForwardUrlMappingInfo

    @groovy.transform.CompileStatic
    class ForwardUrlMappingInfo
    extends AbstractUrlMappingInfo

A customizable UrlMappingInfo instance used for forwards and includes.

Authors:
  Graeme Rocher

Since:
  1.1

Property Summary
`java.lang.String` | `URI`
`java.lang.String` | `actionName`
`java.lang.String` | `controllerName`
`java.lang.String` | `httpMethod`
`java.lang.String` | `id`
`java.lang.String` | `namespace`
`java.util.Map` | `parameters`
`java.lang.String` | `pluginName`
`java.lang.String` | `version`
`java.lang.String` | `viewName`

Method Summary
`java.util.Map` | `getParameters()`
`boolean` | `isParsingRequest()`
`void` | `setAction(java.lang.String action)`
`void` | `setController(java.lang.String controller)`
`void` | `setNamespace(java.lang.String namespace)`
`void` | `setParams(java.util.Map params)`
`void` | `setPluginName(java.lang.String plugin)`
`void` | `setView(java.lang.String view)`

Methods inherited from class AbstractUrlMappingInfo
configure, evaluateNameForValue, evaluateNameForValue, getParams, getRedirectInfo, populateParamsForMapping, setParams

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### URI

    java.lang.String URI

### actionName

    java.lang.String actionName

### controllerName

    java.lang.String controllerName

### httpMethod

    java.lang.String httpMethod

### id

    java.lang.String id

### namespace

    java.lang.String namespace

### parameters

    java.util.Map parameters

### pluginName

    java.lang.String pluginName

### version

    java.lang.String version

### viewName

    java.lang.String viewName

Method Detail

### getParameters

    java.util.Map getParameters()

### isParsingRequest

    boolean isParsingRequest()

### setAction

    void setAction(java.lang.String action)

### setController

    void setController(java.lang.String controller)

### setNamespace

    void setNamespace(java.lang.String namespace)

### setParams

    void setParams(java.util.Map params)

### setPluginName

    void setPluginName(java.lang.String plugin)

### setView

    void setView(java.lang.String view)

Groovy Documentation